/* 
	Editor: https://www.visualmicro.com/
			visual micro and the arduino ide ignore this code during compilation. this code is automatically maintained by visualmicro, manual changes to this file will be overwritten
			the contents of the Visual Micro sketch sub folder can be deleted prior to publishing a project
			all non-arduino files created by visual micro and all visual studio project or solution files can be freely deleted and are not required to compile a sketch (do not delete your own code!).
			note: debugger breakpoints are stored in '.sln' or '.asln' files, knowledge of last uploaded breakpoints is stored in the upload.vmps.xml file. Both files are required to continue a previous debug session without needing to compile and upload again
	
	Hardware: Arduino/Genuino Mega w/ ATmega2560 (Mega 2560), Platform=avr, Package=arduino
*/

#define __AVR_ATmega2560__
#define ARDUINO 108010
#define ARDUINO_MAIN
#define F_CPU 16000000L
#define __AVR__
#define F_CPU 16000000L
#define ARDUINO 108010
#define ARDUINO_AVR_MEGA2560
#define ARDUINO_ARCH_AVR
//
//
float DS3231_get_treg();
void gettime();
void display_off();
void alt_clk ();
void scrollIntro ();
void pacClear();
void halloween();
void christmas();
int freeRam ();
void pacMan();
void drawPac(int x, int y, int z);
void drawGhost( int x, int y, int color);
void drawScaredGhost( int x, int y);
void birthday(int who);
void drawCake(int x, int y);
void cls();
void pong();
byte pong_get_ball_endpoint(float tempballpos_x, float  tempballpos_y, float  tempballvel_x, float tempballvel_y);
void normal_clock();
void vectorNumber(int n, int x, int y, int color, float scale_x, float scale_y);
void word_clock();
void jumble();
void display_temp();
void display_date();
void flashing_cursor(byte xpos, byte ypos, byte cursor_width, byte cursor_height, byte repeats);
void switch_mode();
void drawString(int x, int y, const char* c,uint8_t font_size, uint16_t color);
int calc_font_displacement(uint8_t font_size);
void drawChar(int x, int y, char c, uint8_t font_size, uint16_t color);
void set_time();
byte set_value_dow(byte current_value);
byte set_value(byte message, byte current_value, byte reset_value, byte rollover_limit);

#include "pins_arduino.h" 
#include "arduino.h"
#include "Dual_Colour_Pong_Clock.ino"
